@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

body.site {
    font-family: "Ubuntu", sans-serif;
    background-color: #242424;
    color: #ffffff;
}

body.site h1, body.site h2, body.site h3, body.site h4, body.site h5, body.site h6,
body.site .h1, body.site .h2, body.site .h3, body.site .h4, body.site .h5, body.site .h6 {
    font-family: "Ubuntu", sans-serif;
    color: #fff;
}

.text-secondary {
    color: #9D9D9D !important;
}

.content-list,
.one-tag {
    font-family: "Ubuntu", sans-serif;
}

body.site a:not(.btn, .navbar *),
footer a:not(.btn, .navbar *) {
    color: #fff;
    text-decoration: none;
}
body.site a:not(.btn, .navbar *):hover,
body.site a:not(.btn, .navbar *):focus,
footer a:not(.btn, .navbar *):hover,
footer a:not(.btn, .navbar *):focus {
    color: #03E7DA;
    text-decoration: underline;
}

.form-control {
    border-radius: .375rem;
}

/** header **/
.navbar-main {
    font-family: "Ubuntu", sans-serif;
}

.navbar-main .navbar-nav .nav-link {
    color: #FFFFFF;
}

.navbar-main .navbar-nav .nav-link:focus,
.navbar-main .navbar-nav .nav-link:hover {
    color: #03E7DA;
}

.navbar-toggler, .navbar-toggler:focus {
    border: none;
    box-shadow: none;
}
.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='%23ffffff' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.search-icon:hover, .search-icon:focus,
.search-form #button-search:hover,
.search-form #button-search:focus {
    color: #03E7DA;
}

.position-relative .navbar-main { /** on the main page **/
    background: linear-gradient(180deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
}

@media (min-width: 768px) {
    .navbarNavDropdownContent .navbar-nav {
        width: 200px;
        position: absolute;
        right: 0;
        top: 50px;
        background-color: #222021;
    }

    .navbarNavDropdownContent .navbar-nav .nav-item.dropdown {
        padding-right: .5rem !important;
        padding-left: .5rem !important;
    }

}

@media (max-width: 767px) {
    #navbarNavDropdown {
        background-color: #343434;
        position: absolute;
        left: 0;
        right: 0;
        top: 64px;
        padding-left: 1.5rem;
        padding-right: 1.5rem;
        z-index: 2;
    }
}

@media (max-width: 450px) {
    .navbar .navbar-toggler {
        padding-right: 0.25rem !important;
        padding-left: 0.25rem !important;
    }
    .navbar a.btn-danger {
        padding-top: .25rem !important;
        padding-bottom: .25rem !important;
        padding-right: .5rem !important;
        padding-left: .5rem !important;
    }
    .navbar-brand img {
       max-width: 100px;
    }
    #navbarNavDropdown {
        top: 50px;
    }
}

/** index - browse block **/
a.index-browse-link {
    position: relative;
    display: inline-block;
    color: #9D9D9D;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
}

a.index-browse-link.active {
    color: #03E7DA;
}

/** index - hero block **/
@media (min-width: 768px) {
    #index-banner-text {
        position: absolute;
        left: 1rem;
        bottom: 1rem;
        max-width: 400px;
    }
    #index-banner-text .h2 {
        color: #FFF;
    }
}

@media (min-width: 1200px) {
    #index-banner-text {
        left: 4rem;
        bottom: 5rem;
    }
}

/** index - about-block **/
#about-block-bg {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(180deg,rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 50%, rgba(0, 0, 0, 1) 100%);
    z-index: 1;
}
#about-block-text {
    color: #fff;
    position: relative;
    z-index: 2;
    background: #000;
}
#about-block-text h2 {
    color: #fff;
}

@media (min-width: 1200px) {
    #about-block-bg {
        background: linear-gradient(90deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 45%, rgba(0, 0, 0, 0) 100%);
    }
    #about-block-text {
        left: 0;
        top: 50%;
        transform: translateY(-50%);
        right: 50%;
        position: absolute;
        background: none;
    }
}

@media (min-width: 1485px) {
    #about-block-bg {
        background: linear-gradient(90deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 25%, rgba(0, 0, 0, 0) 100%);
    }
    #about-block-text {
        right: 60%;
    }
}

/** footer **/
footer {
    background-color: #323232;
    color: #FFF;
}

/** colors **/
.text-danger {
    color: #03E7DA !important;
}
.text-body {
    color: #fff !important;
}
.bg-dark {
    background: #343434 !important;
}

.btn-danger,
.btn-primary {
    background-color: #03E7DA;
    border-color: #03E7DA;
    color: #0A0A0A !important;
}
.btn-secondary {
    background-color: #03E7DA;
    border-color: #03E7DA;
    color: #0A0A0A !important;
}
.btn-outline-secondary {
    background-color: #03E7DA;
    border-color: #03E7DA;
}
.btn-outline-primary {
    color: #03E7DA;
    border-color: #03E7DA;
}

.btn-outline-secondary:hover,
.btn-outline-primary:hover,
.btn-danger:hover,
.btn-danger:active,
.btn-primary:hover,
.btn-primary:active {
    background-color: #00C7BB !important;
    border-color: #00C7BB !important;
    color: #0A0A0A !important;
}

#checkAgeModal .btn-secondary{
    color: #03E7DA !important;
    border-color: #03E7DA !important;
    background-color: transparent;
}

#checkAgeModal .btn-secondary:hover{
    background-color: #00C7BB;
    border-color: #00C7BB;
    color: #0A0A0A !important;
}

/** content **/
i.vote {
    color: #fff;
}
i.vote:hover, i.vote-active {
    color: #738678;
}

.content-list a:not(:hover) {
    text-decoration: none;
}

.content-list .col-sm-6 {
    position: relative;
    z-index: 1;
}
.content-list .col-sm-6:hover {
    z-index: 3;
}

.studio-thumb {
    width: 24px;
}
.studio-letter {
    background: #000000 !important;
    width:24px;
    height:24px;
    color: #03e7da;
    flex: 0 0 40px;
    font-weight: bold;
}

.actor-thumb {
    width: 96px;
}
.actor-letter {
    background: #000000 !important;
    width:96px;
    height:96px;
    color: #03e7da;
    flex: 0 0 40px;
    font-weight: bold;
    font-size: 44px;
}

/** one content **/
#one-content-header {
    position: relative;
}
#one-content-header-text-sm {
    position: absolute;
    left: 0;
    right: 0;
    padding: 1rem;
    padding-top: calc(100vw * 9 / 16 - 60px);
    top: 0;
}

@media (min-width: 992px) {
    #one-content-header-text {
        position: absolute;
        left: 0;
        max-width: 768px;
        bottom: 0;
        padding: 1rem;
        color: #FFF;

    }

    #one-content-header-text h1,
    #one-content-header-text h2,
    #one-content-header-text h3 {
        color: #fff;
    }
}

@media (min-width: 1200px) {
    #one-content-header-text {
        max-width: 500px;
    }
}

/** actors **/

/** zoom **/
.zoom-lg {
  transition: transform .1s;
}
.zoom-lg:hover {
  transform: scale(1.05);
}

/* pagination */
.pagination .page-link {
    padding-left: 0.85rem;
    padding-right: 0.85rem;
    border: 1px solid #FFF;
    background: transparent;
    font-weight: normal;
    color: #FFF;
    border-radius: 0.25rem !important;
}

.pagination .page-item.prev-next .page-link:not(:hover) {
    border: 1px solid transparent;
    font-weight: normal;
}
/*.pagination .page-item.prev-next .page-link {
    padding-left: 0.9rem;
    padding-right: 0.9rem;
    background-color: #F7E7CE;
    border: 1px solid #F7E7CE;
}*/

.pagination .page-item:not(.active) .page-link:hover,
.pagination .page-item:not(.active) .page-link:focus {
    border-color: #03E7DA;
    background: transparent;
    text-decoration: none;
    box-shadow: none;
    color: #03E7DA;
    font-weight: normal;
}

.pagination .page-item.prev-next .page-link:hover,
.pagination .page-item.prev-next .page-link:focus {
    background-color: transparent;
    border: 1px solid #03E7DA;
    color: #03E7DA;
}

.pagination .page-item.prev-next:not(.active) .page-link:focus {
    background: transparent;
    border-color: #738678;
    color: #738678;
}

.pagination .page-item {
    margin-right: .25rem !important;
    margin-left: .25rem !important;
}
.pagination .active > .page-link,
.pagination .page-link.active {
    background-color: #03E7DA;
    border-color: #03E7DA;
    color: #0A0A0A;
}

@media (max-width: 576px) {
    .pagination .page-item {
        margin-right: 0.15rem !important;
        margin-left: 0.15rem !important;
    }
    .pagination .page-link {
        padding-left: 0.35rem;
        padding-right: 0.35rem;
        padding-top: 0.1rem;
        padding-bottom: 0.1rem;
        min-width: 40px;
        text-align: center;
    }
}

/** dropdowns is dark **/
.dropdown-menu {
  --bs-dropdown-color: #FFF;
  --bs-dropdown-bg: #0A0A0A;
  --bs-dropdown-border-color: var(--bs-border-color-translucent);
  --bs-dropdown-box-shadow: ;
  --bs-dropdown-link-color: #FFF;
  --bs-dropdown-link-hover-color: #03E7DA;
  --bs-dropdown-divider-bg: var(--bs-border-color-translucent);
  --bs-dropdown-link-hover-bg: #343a40;
  --bs-dropdown-link-active-color: #0A0A0A;
  --bs-dropdown-link-active-bg: #03E7DA;
  --bs-dropdown-link-disabled-color: #adb5bd;
  --bs-dropdown-header-color: #adb5bd;
}

/*** breadcrumbs ***/
.crumbs .crumbs-last {
  color: #9B9B9B;
}

/*** modal ***/
.modal-header {
    color: #F7E7CE;
}

/*** other ***/
@media (min-width: 1200px) {
  .row-cols-xl-10 > * {
    flex: 0 0 auto;
    width: 10%; /* 100 / 10 */
  }
}

.modal-content {
    color: #FFF;
}

.truncate-2-lines {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* кількість рядків */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

ul.dropdown-menu{
    padding-top: 0;
    padding-bottom: 0;
}

ul.dropdown-menu a,
nav.navbar a{
    text-decoration: none;
}

.navbar .nav-link:hover:not(.dropdown-toggle)::after,
.navbar .nav-link.active:not(.dropdown-toggle)::after,
.navbar .nav-link.dropdown-toggle.active::after,
.search-icon:hover::after,
.navbar .dropdown-toggle:hover::after {
    display: none !important;
}
.navbar .nav-link:hover:not(.dropdown-toggle, .btn),
.navbar .nav-link.dropdown-toggle:hover,
.navbar .nav-link.active:not(.dropdown-toggle),
.navbar .nav-link.dropdown-toggle.active,
.search-icon:hover{
    color: #03E7DA !important;   
}